/*
 * FormalRTE.cpp
 *
 *  Created on: Feb 20, 2016
 *      Author: Tomas Pecka
 */

#include "FormalRTE.h"
#include "FormalRTEElements.h"

#include <registration/ValuePrinterRegistration.hpp>

template class rte::FormalRTE < >;
template class rte::FormalRTEStructure < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTEElement < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTEAlternation < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTESubstitution < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTEIteration < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTEEmpty < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTESymbol < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTESymbolAlphabet < DefaultSymbolType, DefaultRankType >;
template class rte::FormalRTESymbolSubst < DefaultSymbolType, DefaultRankType >;

namespace {

auto valuePrinter = registration::ValuePrinterRegister < rte::FormalRTE < > > ( );

} /* namespace */
